Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158392 - yum misreports update errors
Summary: yum misreports update errors
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
: 158388 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-21 13:46 UTC by Avi Kivity
Modified: 2014-01-21 22:52 UTC (History)
2 users (show)

Fixed In Version: rpmdebugplugin
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-19 20:02:21 UTC


Attachments (Terms of Use)

Description Avi Kivity 2005-05-21 13:46:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.0 (like Gecko)

Description of problem:
due to some selinux problem, rpm scriplets do not execute for me: 
 
 
============================================================================= 
 Package                 Arch       Version          Repository        Size 
============================================================================= 
Updating: 
 openssh-server          x86_64     4.0p1-3          development-loca  222 k 
 
Transaction Summary 
============================================================================= 
Install      0 Package(s) 
Update       1 Package(s) 
Remove       0 Package(s) 
Total download size: 222 k 
Is this ok [y/N]: y 
Downloading Packages: 
Running Transaction Test 
Finished Transaction Test 
Transaction Test Succeeded 
Running Transaction 
error: %pre(openssh-server-4.0p1-3.x86_64) scriptlet failed, exit status 255 
error:   install: %pre scriptlet failed (2), skipping openssh-server-4.0p1-3 
 
Updated: openssh-server.x86_64 0:4.0p1-3 
Complete! 
 
but yum says the package has been updated, while it was not: 
 
[avi@blast ~]$ rpm -q openssh-server 
openssh-server-4.0p1-2 
 
this misreporting is confusing and potentially dangerous 

Version-Release number of selected component (if applicable):
yum-2.3.2-2

How reproducible:
Always

Steps to Reproduce:
1. update a package that fails its pre-install script  
  

Actual Results:  yum reported the package as updated   

Expected Results:  yum should have warned that the package was not updated 

Additional info:

Comment 1 Rahul Sundaram 2005-06-19 03:11:12 UTC

Dupe of https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158388

Comment 2 Seth Vidal 2005-06-19 06:53:36 UTC
*** Bug 158388 has been marked as a duplicate of this bug. ***

Comment 3 Jeremy Katz 2005-09-21 18:13:59 UTC
This is difficult to actually catch as rpm doesn't pass up the scriptlet errors
via the callback

Comment 4 Jeff Johnson 2005-10-05 22:10:28 UTC
And the callback cannot be changed, can it?

rpm reports sciptlet returns on stderr if/when equivalent of -vv is specified.

Off to youm as a RFE, I've asked for that from Seth for diagnostic debugging repeatedly ...

Comment 5 Seth Vidal 2005-10-05 22:13:44 UTC
paul already implemented the rpmdebug output via a yum plugin.


Note You need to log in before you can comment on or make changes to this bug.